# LogLevel

enum LogLevel

The log levels supported by Gradle.

## Entries

DEBUG
Link copied to clipboard
DEBUG
INFO
Link copied to clipboard
INFO
LIFECYCLE
Link copied to clipboard
LIFECYCLE
WARN
Link copied to clipboard
WARN
QUIET
Link copied to clipboard
QUIET
ERROR
Link copied to clipboard
ERROR

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): LogLevel

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<LogLevel>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.